Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing
Class JSVGScrollPane.ScrollListener

    java.lang.Object
      java.awt.event.ComponentAdapter
          org.apache.batik.swing.JSVGScrollPane.ScrollListener

All Implemented Interfaces:
  java.awt.event.ComponentListener, java.util.EventListener, GVTTreeBuilderListener, JGVTComponentListener

Enclosing class:
  JSVGScrollPane

protected class JSVGScrollPane.ScrollListener
extends java.awt.event.ComponentAdapter
implements JGVTComponentListener, GVTTreeBuilderListener

Handle scroll, zoom, and resize events

Field Summary
`protected boolean` | `isReady`

Fields inherited from interface org.apache.batik.swing.gvt.JGVTComponentListener
`COMPONENT_TRANSFORM_CHANGED`

Constructor Summary
`protected` | `JSVGScrollPane.ScrollListener()`

Method Summary
`void` | `componentResized(java.awt.event.ComponentEvent evt)`
`void` | `componentTransformChanged(java.awt.event.ComponentEvent evt)` Called when the rendering transform changes on the JGVTComponentListener
`void` | `gvtBuildCancelled(GVTTreeBuilderEvent e)` Called when a build was cancelled.
`void` | `gvtBuildCompleted(GVTTreeBuilderEvent e)` Called when a build was completed.
`void` | `gvtBuildFailed(GVTTreeBuilderEvent e)` Called when a build failed.
`void` | `gvtBuildPrepare(GVTTreeBuilderEvent e)`
`void` | `gvtBuildStarted(GVTTreeBuilderEvent e)` Called when a build started.

Methods inherited from class java.awt.event.ComponentAdapter
`componentHidden, componentMoved, componentShown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isReady

    protected boolean isReady

Constructor Detail

### JSVGScrollPane.ScrollListener

    protected JSVGScrollPane.ScrollListener()

Method Detail

### componentTransformChanged

    public void componentTransformChanged(java.awt.event.ComponentEvent evt)

  Description copied from interface: `JGVTComponentListener`
  Called when the rendering transform changes on the JGVTComponentListener

  Specified by:
    `componentTransformChanged` in interface `JGVTComponentListener`

### componentResized

    public void componentResized(java.awt.event.ComponentEvent evt)

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`

### gvtBuildCompleted

    public void gvtBuildCompleted(GVTTreeBuilderEvent e)

  Description copied from interface: `GVTTreeBuilderListener`
  Called when a build was completed.

  Specified by:
    `gvtBuildCompleted` in interface `GVTTreeBuilderListener`

### gvtBuildCancelled

    public void gvtBuildCancelled(GVTTreeBuilderEvent e)

  Description copied from interface: `GVTTreeBuilderListener`
  Called when a build was cancelled.

  Specified by:
    `gvtBuildCancelled` in interface `GVTTreeBuilderListener`

### gvtBuildFailed

    public void gvtBuildFailed(GVTTreeBuilderEvent e)

  Description copied from interface: `GVTTreeBuilderListener`
  Called when a build failed.

  Specified by:
    `gvtBuildFailed` in interface `GVTTreeBuilderListener`

### gvtBuildPrepare

    public void gvtBuildPrepare(GVTTreeBuilderEvent e)

### gvtBuildStarted

    public void gvtBuildStarted(GVTTreeBuilderEvent e)

  Description copied from interface: `GVTTreeBuilderListener`
  Called when a build started.

  Specified by:
    `gvtBuildStarted` in interface `GVTTreeBuilderListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.